> ## Documentation Index
> Fetch the complete documentation index at: https://docs.trugen.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Create MCP

> Create a new MCP server configuration.



## OpenAPI

````yaml POST /ext/mcp
openapi: 3.0.3
info:
  title: TruGen Developer Platform API
  version: 1.0.0
  description: OpenAPI specification for MCP endpoint
servers:
  - url: https://api.trugen.ai/v1
security: []
paths:
  /ext/mcp:
    post:
      summary: Create MCP
      description: Create a new MCP server configuration.
      operationId: createMCP
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                name:
                  type: string
                  example: Livekit Docs
                description:
                  type: string
                  example: MCP server to get livekit info
                type:
                  type: string
                  example: shttp/sse
                request_config:
                  type: object
                  properties:
                    url:
                      type: string
                      format: uri
                      example: https://www.example.com/in
                    headers:
                      type: object
                      additionalProperties:
                        type: string
                      example:
                        User-Agent: Trugen Avatar
                        Accept: application/json
                  required:
                    - url
              required:
                - name
                - description
                - type
                - request_config
            example:
              name: Livekit Docs
              description: MCP server to get livekit info
              type: shttp/sse
              request_config:
                url: https://www.example.com/in
                headers:
                  User-Agent: Trugen Avatar
                  Accept: application/json
      responses:
        '200':
          description: MCP created successfully
          content:
            application/json:
              schema:
                type: object
                properties:
                  id:
                    type: string
                    format: uuid
                  name:
                    type: string
                  description:
                    type: string
                  type:
                    type: string
                  created_at:
                    type: string
                    format: date-time
        '400':
          description: Invalid request body
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
              example:
                error: Invalid request body
        '401':
          description: Unauthorized - Missing or invalid API key
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
              example:
                error: 'Unauthorized: not a valid authorization api key'
      security:
        - apiKeyAuth: []
components:
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      in: header
      name: x-api-key

````